#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	Socket-Multicast
Summary:	IO::Socket::Multicast - send and receive multicast messages
Summary(pl.UTF-8):	IO::Socket::Multicast - wysyłanie i odbieranie komunikatów multicastowych
Name:		perl-IO-Socket-Multicast
Version:	1.12
Release:	4
# "same as perl"
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c96e6cbb367b1d11ffe7bb9fbd833540
URL:		http://search.cpan.org/dist/IO-Socket-Multicast/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-IO-Interface >= 0.94
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The IO::Socket::Multicast module subclasses IO::Socket::INET to enable
you to manipulate multicast groups. With this module (and an operating
system that supports multicasting), you will be able to receive
incoming multicast transmissions and generate your own outgoing
multicast packets.

%description -l pl.UTF-8
Moduł IO::Socket::Multicast jest podklasą IO::Socket::INET pozwalającą
na manipulowanie grupami multicastowymi. Przy użyciu tego modułu (i
systemu operacyjnego obsługującego multicasty) można odbierać
przychodzącą transmisję multicastową i generować własne wychodzące
pakiety multicastowe.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install examples/*.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/auto/IO/Socket
%{perl_vendorarch}/IO/Socket/Multicast.pm
%dir %{perl_vendorarch}/auto/IO/Socket/Multicast
%attr(755,root,root) %{perl_vendorarch}/auto/IO/Socket/Multicast/Multicast.so
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*
%changelog
* Sat Sep 13 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-Socket-Multicast.git;a=log;h=master

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 6738f1f
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 6dc41d2
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e26ccf1
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> fade02e
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> c683fdb
- up to 1.12

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9dd8d9b
- release 2

* Thu Nov 26 2009 amateja <amateja@pld-linux.org> 9823a8b
- updated to 1.11

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> 7c74cd5
- updated to 1.07

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 51764cc
- rel 2

* Mon Jan 14 2008 Elan Ruusamäe <glen@pld-linux.org> 4f17f49
- missing dir; rel 1

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 819170b
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 85782b2
- up to 1.05

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 88b4764
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 154c207
- converted to UTF-8

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> f83430b
- pl, missing dir, cleanup

* Sun Jul 30 2006 Maciej Pijanka <agaran@pld-linux.org> d035d38
- initial 1.04, rel 0.1, builds here

